<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.16: http://docutils.sourceforge.net/" />
<title>Changelog.rst</title>
<link rel="stylesheet" href="docutils-articles.css" type="text/css" />
</head>
<body>

<div class="banner">
<img src="images/gm-107x76.png" alt="GraphicMagick logo" width="107" height="76" />
<span class="title">GraphicsMagick</span>
<form action="http://www.google.com/search">
  <input type="hidden" name="domains" value="www.graphicsmagick.org" />
  <input type="hidden" name="sitesearch" value="www.graphicsmagick.org" />
<span class="nowrap"><input type="text" name="q" size="25" maxlength="255" />&nbsp;<input type="submit" name="sa" value="Search" /></span>
</form>
</div>

<div class="navmenu">
<ul>
  <li><a href="index.html">Home</a></li>
  <li><a href="project.html">Project</a></li>
  <li><a href="download.html">Download</a></li>
  <li><a href="README.html">Install</a></li>
  <li><a href="Hg.html">Source</a></li>
  <li><a href="NEWS.html">News</a> </li>
  <li><a href="utilities.html">Utilities</a></li>
  <li><a href="programming.html">Programming</a></li>
  <li><a href="reference.html">Reference</a></li>
</ul>
</div>
<div class="document">


<p>2021-02-14  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* VisualMagick/All/All.vcproj.in: Fixes by sourcer42
&lt;<a class="reference external" href="mailto:sourcer42&#37;&#52;&#48;users&#46;sourceforge&#46;net">sourcer42<span>&#64;</span>users<span>&#46;</span>sourceforge<span>&#46;</span>net</a>&gt; for the problem that Visual
Studio is not able to load the All project if the project supports
the x64 target.</blockquote>
<p>2021-02-12  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* www/Hg.rst: Document new redundant Mercurial server at OSDN,
&quot;<a class="reference external" href="https://hg.osdn.net/view/graphicsmagick/GM">https://hg.osdn.net/view/graphicsmagick/GM</a>&quot;.</blockquote>
<p>2021-02-07  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* Add explicit cast to float where implicit casts to float from
double were occurring.</p>
<p>* magick/utility.c (MagickDoubleToLong): Guard against LONG_MAX
not directly representable as a double.</p>
</blockquote>
<p>2021-02-06  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* magick/utility.c (TranslateTextEx): If image resolution is
impossibly small, then report the default resolution of 72 DPI, or
the equivalent in centimeters if units is in
pixels-per-centimeter.  Addresses SourceForge bug #396 &quot;dpi not
retrived (no default value)&quot;.  I do have some misgivings about
this solution since it is lying about the actual value.  Not all
usages of raster images have an associated physical reality and
thus resolution is not necessarily relevant.</blockquote>
<p>2021-02-04  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* coders/tiff.c, coders/ps2.c, coders/ps3.c: Libtiff versions
beyond 20201219 want to use types from stdint.h.</blockquote>
<p>2021-01-31  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* magick/monitor.c (MagickMonitorActive): Need to export this
function for use by modules.</blockquote>
<p>2021-01-30  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* VisualMagick/bin: Remove hp2xx.exe, mpeg2dec.exe, and
mpeg2enc.exe.  There is no value to distributing these pre-built
and flimsy executables in the source package.</p>
<p>* filters/analyze.c (AnalyzeImage): Add OpenMP speed-ups.</p>
</blockquote>
<p>2021-01-29  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* filters/analyze.c (AnalyzeImage): Tidy the structure of the code
a bit.</p>
<p>* magick/module.c (ExecuteModuleProcess): Add error reporting for
the case that the expected symbol is not resolved.</p>
</blockquote>
<p>2021-01-23  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* configure.ac: Remove updates to use recommended forms of AC_INIT
and AM_INIT_AUTOMAKE.  There were too many annoying side-effects
to daily development from these changes.  Perhaps they will be
re-visited if solutions for Autotools regeneration issues are
found.</blockquote>
<p>2021-01-19  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* magick/render.c (InverseAffineMatrix): Avoid possible division
by zero or absurdly extreme scaling in InverseAffineMatrix().
Fixes oss-fuzz 28293 &quot;Divide-by-zero - InverseAffineMatrix&quot;.</blockquote>
<p>2021-01-13  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* configure.ac (CONFIG_STATUS_DEPENDENCIES): Regenerate
configure.ac if ChangeLog or version.sh is updated.</blockquote>
<p>2021-01-10  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* coders/pdf.c (WritePDFImage): Converting a TIF to a PDF set the
page MediaBox to the TIFF dimensions in pixels while the CropBox
is set in local context dimensions. The latter is correct, the
former is not.  Set the MediaBox to the proper dimension in local
context.  Should be the same in this context.  Patch by Hubert
Figuiere and retrieved from SourceForge patch #64 &quot;Incorrect
MediaBox in PDF export&quot;.</p>
<p>* magick/pixel_cache.c: Memory cache implementation of pixel cache
now uses resource limited memory allocator.  It was previously
resource limited, but by using the resource allocation APIs
directly.</p>
</blockquote>
<p>2021-01-09  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* coders/tiff.c: Remove unintended double-charging for memory
resource.  Remove explicit memset where possible.</blockquote>
<p>2021-01-07  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* coders/gif.c (ReadGIFImage): Fix memory leak of global_colormap
if realloc of memory for comment fails.  Fixes oss-fuzz 29316
&quot;Direct-leak in MagickMalloc&quot;.</p>
<p>* coders/meta.c (ReadMETAImage): Fix double-free if blob buffer
was reallocated after being attached to blob.  Fixes oss-fuzz
29193 &quot;Heap-double-free in MagickFree&quot;.</p>
</blockquote>
<p>2021-01-06  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
* configure.ac: Updates to use recommended forms of AC_INIT and
AM_INIT_AUTOMAKE.  This was/is painful due to how development
snapshot versioning is handled.  The version string produced for
the snapshot version will now contain the snapshot date.  Effort
has been made to avoid other impacts due to AC_INIT's enforcements
for how version information is used.</blockquote>
<p>2021-01-02  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* PerlMagick/Magick.xs: Remove GCC warnings which spewed out at
increased warning levels.</p>
<p>* magick/magick_types.h.in: Hide definitions not intended for the
rest of the world under &quot;if defined(MAGICK_IMPLEMENTATION)&quot;.</p>
</blockquote>
<p>2021-01-01  Bob Friesenhahn  &lt;<a class="reference external" href="mailto:bfriesen&#37;&#52;&#48;simple&#46;dallas&#46;tx&#46;us">bfriesen<span>&#64;</span>simple<span>&#46;</span>dallas<span>&#46;</span>tx<span>&#46;</span>us</a>&gt;</p>
<blockquote>
<p>* configure.ac: Skip library symbol tests for gdi32 since these
fail with the MSYS2 w64-i686 compiler and well as i686 Cygwin.
The failures caused a build regression for i686 MSYS2/Cygwin.</p>
<p>* Copyright.txt: Copyright year updates and ChangeLog rotation for
the new year.</p>
</blockquote>
</div>

<hr class="docutils">
<div class="document">
    <p><a href="Copyright.html">Copyright</a> © GraphicsMagick Group 2002 - 2021<!--SPONSOR_LOGO--></p>
</div>
</body>
</html>
